metaHTML

# Class: htmlInputField

Source Location: /lib/html.inc

### Class Overview

    htmlElement
       |
       --htmlInputField

A standard input field.

### Methods

- __construct
- generateHTML
- setFieldMaxLength
- setFieldSize
- setIsEnabled
- setIsPassword

### Child classes:

htmlTableExtendedInputField
  An extended input field that combines label, input field and help.

### Inherited Constants

#### Class: htmlElement

htmlElement::ALIGN_BOTTOM
htmlElement::ALIGN_CENTER
htmlElement::ALIGN_LEFT
htmlElement::ALIGN_RIGHT
htmlElement::ALIGN_TOP
htmlElement::OPTION_ALIGN

### Inherited Variables

#### Class: htmlElement

htmlElement::$alignment
htmlElement::$colspan
htmlElement::$rowspan

### Inherited Methods

#### Class: htmlElement

htmlElement::generateHTML()
  Prints the HTML code for this element.
htmlElement::getAlignmentString()
  Returns the HTML attributes for the alignment.
htmlElement::getColspanString()
  Returns the HTML attribute for the colspan.
htmlElement::getRowspanString()
  Returns the HTML attribute for the rowspan.

### Class Details

[line 314]
A standard input field.
[ Top ]

### Class Methods

### constructor __construct [line 335]

`htmlInputField __construct( String $fieldName, [String $fieldValue = null])`

Constructor

Overridden in child classes as:

htmlTableExtendedInputField::__construct()
  Constructor

#### Parameters:

String | $fieldName | unique field name
String | $fieldValue | value of input field (optional)

[ Top ]

### method generateHTML [line 351]

`array generateHTML( string $module, array $input, array $values, boolean $restricted, &$tabindex, string $scope, integer $tabindex)`

Prints the HTML code for this element.

#### Tags:

return: | List of input field names and their type (name => type)

Overridden in child classes as:

htmlTableExtendedInputField::generateHTML()
  Prints the HTML code for this element.

Overrides htmlElement::generateHTML() (Prints the HTML code for this element.)

#### Parameters:

string | $module | Name of account module
array | $input | List of meta-HTML elements
array | $values | List of values which override the defaults in $input (name => value)
boolean | $restricted | If true then no buttons will be displayed
integer | $tabindex | Start value of tabulator index for input fields
string | $scope | Account type
| &$tabindex |

[ Top ]

### method setFieldMaxLength [line 385]

`void setFieldMaxLength( int $fieldMaxLength)`

Sets the maximum field length.

#### Tags:

access: | public

#### Parameters:

int | $fieldMaxLength | length

[ Top ]

### method setFieldSize [line 394]

`void setFieldSize( int $fieldSize)`

Sets the field size.

#### Tags:

access: | public

#### Parameters:

int | $fieldSize | size

[ Top ]

### method setIsEnabled [line 412]

`void setIsEnabled( boolean $isEnabled)`

Specifies if this component is enabled and accepts user modification.

#### Tags:

access: | public

#### Parameters:

boolean | $isEnabled | enabled if true

[ Top ]

### method setIsPassword [line 403]

`void setIsPassword( boolean $isPassword)`

Specifies if this is a password field.

#### Tags:

access: | public

#### Parameters:

boolean | $isPassword | password field

[ Top ]

Documentation generated on Thu, 28 Oct 2010 21:00:17 +0200 by phpDocumentor 1.4.1